path: /build/build/backrest-app-backup-1.9.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise upgrade -y && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-backup/backrest -pv -t && \
    emerge -j ${JOBS} --nodeps app-backup/backrest && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/backrest && \
    luet-portage --dir /pkgdir/backrest app-backup/backrest && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:46d8868d0bb2032b9fef91643afa3b2ef0bed5a38c7c4626175de3568a0fa211
  package:
    name: backrest
    version: 1.9.2+1
    category: app-backup
    requires:
    - name: restic
      version: '>=0'
      category: app-backup
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backrest is a web UI and orchestrator for restic backup
    uri:
    - https://github.com/garethgeorge/backrest
    license: GPL-3.0
    buildtimestamp: 2025-09-08 12:13:08.555817046 +0000 UTC m=+421.826314527
    labels:
      BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
      DEPEND: app-backup/restic net-libs/nodejs sys-apps/shadow
      IUSE: systemd
      RDEPEND: app-backup/restic
      emerge.packages: app-backup/backrest
      kit: core-server-kit
      original.package.name: app-backup/backrest
      original.package.slot: "0"
      original.package.version: 1.9.2
    treedir: /build/packages
  package_dir: /pkgdir/backrest
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f3ca4e10f556c9cf86756398e4ab27cd435c55dfbd0f906d153af353178e9360
compressiontype: zstd
files:
- etc/conf.d/backrest
- etc/init.d/backrest
- usr/bin/backrest
- var/db/pkg/app-backup/backrest-1.9.2/BDEPEND
- var/db/pkg/app-backup/backrest-1.9.2/BUILD_TIME
- var/db/pkg/app-backup/backrest-1.9.2/CATEGORY
- var/db/pkg/app-backup/backrest-1.9.2/CBUILD
- var/db/pkg/app-backup/backrest-1.9.2/CFLAGS
- var/db/pkg/app-backup/backrest-1.9.2/CHOST
- var/db/pkg/app-backup/backrest-1.9.2/CONTENTS
- var/db/pkg/app-backup/backrest-1.9.2/COUNTER
- var/db/pkg/app-backup/backrest-1.9.2/CTARGET
- var/db/pkg/app-backup/backrest-1.9.2/CXX
- var/db/pkg/app-backup/backrest-1.9.2/CXXFLAGS
- var/db/pkg/app-backup/backrest-1.9.2/DEFINED_PHASES
- var/db/pkg/app-backup/backrest-1.9.2/DEPEND
- var/db/pkg/app-backup/backrest-1.9.2/DESCRIPTION
- var/db/pkg/app-backup/backrest-1.9.2/EAPI
- var/db/pkg/app-backup/backrest-1.9.2/FEATURES
- var/db/pkg/app-backup/backrest-1.9.2/HOMEPAGE
- var/db/pkg/app-backup/backrest-1.9.2/INHERITED
- var/db/pkg/app-backup/backrest-1.9.2/IUSE
- var/db/pkg/app-backup/backrest-1.9.2/IUSE_EFFECTIVE
- var/db/pkg/app-backup/backrest-1.9.2/KEYWORDS
- var/db/pkg/app-backup/backrest-1.9.2/LDFLAGS
- var/db/pkg/app-backup/backrest-1.9.2/LICENSE
- var/db/pkg/app-backup/backrest-1.9.2/NEEDED
- var/db/pkg/app-backup/backrest-1.9.2/NEEDED.ELF.2
- var/db/pkg/app-backup/backrest-1.9.2/PF
- var/db/pkg/app-backup/backrest-1.9.2/RDEPEND
- var/db/pkg/app-backup/backrest-1.9.2/RESTRICT
- var/db/pkg/app-backup/backrest-1.9.2/SIZE
- var/db/pkg/app-backup/backrest-1.9.2/SLOT
- var/db/pkg/app-backup/backrest-1.9.2/USE
- var/db/pkg/app-backup/backrest-1.9.2/backrest-1.9.2.ebuild
- var/db/pkg/app-backup/backrest-1.9.2/environment.bz2
- var/db/pkg/app-backup/backrest-1.9.2/repository
- var/lib/backrest/.keep_app-backup_backrest-0
package_cacheimage: ""
runtime:
  name: backrest
  version: 1.9.2+1
  category: app-backup
  requires:
  - name: restic
    version: '>=0'
    category: app-backup
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backrest is a web UI and orchestrator for restic backup
  uri:
  - https://github.com/garethgeorge/backrest
  license: GPL-3.0
  labels:
    BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
    DEPEND: app-backup/restic net-libs/nodejs sys-apps/shadow
    IUSE: systemd
    RDEPEND: app-backup/restic
    emerge.packages: app-backup/backrest
    kit: core-server-kit
    original.package.name: app-backup/backrest
    original.package.slot: "0"
    original.package.version: 1.9.2
